﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RTE_Sample_With_Ribbon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Syncfusion.Windows.Tools.Controls.RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ChangeFontNames_Click(object sender, RoutedEventArgs e)
        {
            richTextBoxAdv.FontNames = new System.Collections.ObjectModel.ObservableCollection<string>() { "Calibri", "Arial", "Algerian" };
        }

        private void ReloadFontnames_Click(object sender, RoutedEventArgs e)
        {
            InitializeFontFamilySource();
        }

        internal void InitializeFontFamilySource()
        {
            foreach (FontFamily fontfamily in Fonts.SystemFontFamilies)
            {
                richTextBoxAdv.FontNames.Add(fontfamily.Source);
            }
        }
    }
}
